Name:           yafray
Version:        0.0.9
Release:        9%{?dist}
Summary:        Yet Another Free RAYtracer

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://www.yafray.org
Source:		http://www.yafray.org/sec/2/downloads/yafray-%{version}.tar.gz
Patch0:         yafray-0.0.9-gcc43.patch
Patch1:         yafray-0.0.9-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	zlib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	scons

Obsoletes: yafray-devel


%description
Yafray is yet another free raytracer, still in development. Some
features like caustics, filters, depth of field, etc. are implemented.



%prep
%setup -q -n %{name}
%patch0 -p0 -b .gcc43
%patch1 -p1 -b .gcc44
#sed -i "s|/usr/local|%{_prefix}|" linux-settings.py
sed -i "s|flags='|flags='$RPM_OPT_FLAGS |" linux-settings.py
sed -i "s|/lib|/%{_lib}|" linux-settings.py
chmod 0644 ChangeLog AUTHORS LICENSE COPYING NEWS README
find src -name '*.h' -exec chmod 0644 {} ';'
find src -name '*.cc' -exec chmod 0644 {} ';'


%build
CXXFLAGS="$RPM_OPT_FLAGS" scons prefix=%{_prefix}


%install
rm -rf $RPM_BUILD_ROOT
scons prefix=$RPM_BUILD_ROOT%{_prefix} install
rm -f $RPM_BUILD_ROOT%{_bindir}/.sconsign
rm -f $RPM_BUILD_ROOT%{_libdir}/.sconsign
rm -f $RPM_BUILD_ROOT%{_libdir}/yafray/.sconsign
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -pm 0644 $RPM_BUILD_ROOT%{_prefix}/etc/gram.yafray $RPM_BUILD_ROOT%{_sysconfdir}
rm -rf $RPM_BUILD_ROOT%{_prefix}/etc


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS LICENSE README
%{_bindir}/yafray
%{_libdir}/lib*.so
%{_libdir}/yafray/
%config(noreplace) %{_sysconfdir}/gram.yafray



%changelog
* Mon Mar  2 2009 kwizart < kwizart at gmail.com > - 0.0.9-9
- Fix gcc44

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 0.0.9-7
- Rebuild for gcc43

* Fri Jan  4 2008 kwizart < kwizart at gmail.com > - 0.0.9-6
- Fix gcc43

* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 0.0.9-5
- Fix: yafray libs are dlopened

* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 0.0.9-4
- Rebuild

* Sun Aug 26 2007 kwizart < kwizart at gmail.com > - 0.0.9-3
- Rebuild for BuildID
- Update the License field

* Sun May 20 2007 kwizart < kwizart at gmail.com > - 0.0.9-2
- Fix /lib is /lib64 on x86_64 and ppc64

* Sat Oct 14 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.0.9-1
- new version 0.0.9

* Sun Jun 18 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.0.8-2
- BR: OpenEXR-devel
- use $RPM_OPT_FLAGS

* Fri Jul  8 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.0.8-1
- New Version 0.0.8

* Tue Mar 23 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.0.6-0.fdr.1
- First Fedora release
